/*	*	*	*	*	*	*	*	*	*/
/*	select()	select command					*/
/*	Program:	autotext conversion				*/
/*	returns:	FALSE if time to end processsing		*/
/*			TRUE otherwise 					*/
/*	*	*	*	*	*	*	*	*	*/
#include <stdio.h>
#include <ath.h>
#include <atc.h>
#include <atex.h>

/*
#define TESTING	0
*/

select(infile)
char *infile[];
{
	char *cmd;

	sscanf(buffer, ".%2s",cmd);

#ifdef TESTING
printf("got to select, cmd[0]:	>%c<	cmd[1]:	>%c<\n",cmd[0],cmd[1]);
#endif
/*
 * switch on command
 */
	switch(cmd[0])
	     {
/*
 * "a" commands
 */
	     case AAA:
#ifdef TESTING
printf("inside switch, case AAA, cmd[0]:	>%c<	cmd[1]:	>%c<\n",
	cmd[0],cmd[1]);
#endif
		switch(cmd[1])
		     {
/*
 * automatic base selection:	'ab'
 */
		     case AUTOBASE :
			atabase();
			break;
/*
 * aligned:	'al'
 */
		     case ALIGN :
			atalign();
			break;
/*
 * change current text angle:	'an'
 */
		     case ANGLE :
			atangle();
			break;
		     default:
			atuk();
		     } /* end switch "a" commands	*/
		break;
/*
 * set insertion base for drawing:	'ba'
 */
	     case BASE :
		atbase();
		break;
/*
 * "c" commands
 */
	     case CCC:
		switch(cmd[1])
		     {
/*
 * centered:	'ce'
 */
		     case CENTER :
			atcenter();
			break;
/*
 * line is comment in input file:	'cm'
 */
		     case COMMENT :
			atcomment();
			break;
		     default:
			atuk();
		     } /* end switch "c" commands	*/
		break;
/*
 * set exit delay time:	'de'
 */
	     case DELAY :
		atdelay();
		break;
/*
 * exit AutoCAD:	'ex'
 */
	     case EXIT :
		atexit();
		return(FALSE);
		break;
/*
 * "f" commands
 */
	     case ATFILE:
/*
 * start a new or restart an old drawing file:	'fn' or 'fo'
 */
		atfile();
		switch(cmd[1])
		     {
		     case NEWFILE :
			atnewfile();
			break;
		     case OLDFILE :
			atoldfile();
			break;
		     default:
			atuk();
			return(TRUE);
		     }
		atpostfile();
		break;
/*
 * change current text height:	'ht'
 */
	     case HEIGHT :
		atheight();
		break;
/*
 * "l" commands
 */
	     case LLL:
#ifdef TESTING
printf("inside switch, case LLL, cmd[0]:	>%c<	cmd[1]:	>%c<\n",
	cmd[0],cmd[1]);
#endif
		switch(cmd[1])
		     {
/*
 * left justified:	'le'
 */
		     case LEFT :
			atleft();
			break;
/*
 * change drawing limits:	'li'
 */
		     case LIMITS :
			atlimits();
			break;
/*
 * append error messages to log file:	'lo'
 */
		     case LOG :
			atlog(&infile);
			break;
		     default:
			atuk();
		     } /* end switch "l" commands	*/
		break;
/*
 * pass AutoCAD command through:	'ps'
 */
	     case PASS :
		atpass();
		break;
/*
 * right justified:	'rt'
 */
	     case RIGHT :
		atright();
		break;
/*
 * "s" commands
 */
	     case SSS:
		switch(cmd[1])
		     {
/*
 * skip a line in AutoCAD text:	'sk'			
 */
		     case SKIP :
			atskip();
			break;
/*
 * create new text style:	'sn'
 */
		     case NEWSTYLE :
			atnewstyle();
			break;
/*
 * change current text style:	'st'
 */
		     case TEXTSTYLE :
			attextstyle();
			break;
		     default:
			atuk();
		     } /* end switch "s" commands	*/
		break;
/*
 * anything else is bogus; write error message and discard command
 */
	     default :
#ifdef TESTING
printf("in select, case default, cmd[0]:	>%c<\n",cmd[0]);
#endif
		atuk();
	     } /* end switch on command type */
	return(TRUE);
} /* end select module */